package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 37.查询账户NFT列表 GET请求方式
 * @class: AddressListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:48
 */
@Data
public class Nft037AddressListReq implements Serializable {
    /**
     * 账户地址
     */
    private String addr;
    /**
     * 通过系列id过滤
     */
    //@Null
    private String seriesId;
    /**
     * 查询偏移量，从0开始，和mysql一个语义
     */
    //@Null
    private Long offset;
    /**
     * 最大1000
     */
    private Long limit;
    private static final Nft037AddressListReq obj = new Nft037AddressListReq();
    private static final long serialVersionUID = 4339297147904894398L;

    public static Nft037AddressListReq getNew() {
        try {
            return (Nft037AddressListReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft037AddressListReq();
        }
    }
}
